﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/35713cd46cd7/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2022.3.4f1.exe'
$checksum64     = 'a189bcf2dd9344da6ba80d3b83d160c353c7177367a4ec3647fdd78954189754'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
